textures/q3f_flib/grass
{
  surfaceparm nodamage
  surfaceparm nosteps
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/q3f_flib/grass.jpg
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}
textures/q3f_flib/blue_cfloor
{
  surfaceparm  metalsteps    
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/q3f_flib/blue_cfloor.jpg
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}
textures/q3f_flib/blue_cfloord
{
  surfaceparm  metalsteps    
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/q3f_flib/blue_cfloord.jpg
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}
textures/q3f_flib/red_cfloor
{
  surfaceparm  metalsteps    
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/q3f_flib/red_cfloor.jpg
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}
textures/q3f_flib/red_cfloord
{
  surfaceparm  metalsteps    
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/q3f_flib/red_cfloord.jpg
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}

textures/q3f_flib/dimclouds
{
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm sky
  q3map_surfacelight 100
  q3map_sun  1 1 0.7 150 90 90
  skyparms - 512 -
  {
    map textures/q3f_flib/dimclouds.jpg
    tcMod scale 3 2
    tcMod scroll 0.15 0.15
    depthWrite
  }
  {
    map textures/q3f_flib/topclouds.jpg
    blendFunc GL_ONE GL_ONE
    tcMod scale 3 3
    tcMod scroll 0.05 0.05
  }
}
textures/q3f_flib/blue_q3fflag
{
  tessSize 64
  deformVertexes wave 194 sin 0 3 0 .4
  deformVertexes normal .5 .1
  surfaceparm nomarks
  cull none
  {
    map textures/q3f_flib/blue_q3fflag.tga
    rgbGen identity
  }
  {
    map textures/effects/redflagmap.tga
    tcGen environment
    tcmod scale 9 3
    tcmod scroll .1 .7
    blendFunc GL_ONE GL_ONE
    rgbGen identity
  }
  {
    map textures/q3f_flib/blue_q3fflag.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/sfx/shadow.tga
    tcGen environment 
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}
textures/q3f_flib/red_q3fflag
{
  tessSize 64
  deformVertexes wave 194 sin 0 3 0 .4
  deformVertexes normal .3 .2
  surfaceparm nomarks
  cull none
  {
    map textures/q3f_flib/red_q3fflag.tga
    rgbGen identity
  }
  {
    map textures/effects/blueflagmap.tga
    tcGen environment
    tcmod scale 9 3
    tcmod scroll .1 .7
    blendFunc GL_ONE GL_ONE
    rgbGen identity
  }
  {
    map textures/q3f_flib/red_q3fflag.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/sfx/shadow.tga
    tcGen environment 
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}

textures/q3f_flib/deepwater1
  {
    qer_editorimage textures/q3f_forts/water1.tga
    q3map_globaltexture
    qer_trans .5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    cull disable
    deformVertexes wave 100 triangle 2 2 1 0.1
    {
      map textures/base_wall/metalblackbloody.jpg
      tcMod scale .1 .1
      tcMod scroll .005 .005
    }
    {
      map textures/q3f_flib/water2.tga
      blendfunc GL_DST_COLOR GL_ONE
      tcMod turb .1 .1 0 .01
      tcMod scale .5 .5
      tcMod scroll -.025 .02
    }
    {
      map textures/q3f_flib/grass.jpg
      blendFunc GL_DST_COLOR GL_ONE
      tcMod turb .1 .07 .1 .05
      tcMod scale .5 .5
      tcMod scroll .045 .025
    }  
    {
      map $lightmap
      blendFunc GL_dst_color GL_zero
      rgbgen identity    
    }
  }

textures/q3f_flib/oil1
{
  qer_editorimage textures/q3f_flib/water1.tga
  q3map_globaltexture
  qer_trans .5
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  cull disable
  deformVertexes wave 100 triangle 2 2 1 0.1
  {
    map textures/q3f_flib/pool3d_6.tga
    //map textures/liquids/pool2.tga
    //map textures/q3f_flib/water2b.tga
    tcMod scale .5 .5
    tcMod scroll .01 .01
  }
  {
    map textures/q3f_flib/pool3d_3.tga
    //map textures/q3f_flib/water2b.tga
    blendfunc GL_DST_COLOR GL_ZERO
    tcMod turb .1 .1 0 .01
    tcMod scale .5 .5
    tcMod scroll -.025 .02
  }
  {
    map textures/q3f_flib/pool3d_5.tga
    //map textures/q3f_flib/goo.tga
    blendFunc GL_DST_COLOR GL_ZERO
    tcMod turb .1 .07 .1 .01
    tcMod scale .5 .5
    tcMod scroll .045 .025
  }
  {
    map $lightmap
    blendFunc GL_dst_color GL_zero
    rgbgen identity
  }
}
textures/q3f_flib/oil2
{
  qer_editorimage textures/q3f_flib/water1.tga
  q3map_globaltexture
  qer_trans .5
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  cull disable
  deformVertexes wave 100 triangle 2 2 1 0.1
  {
    map textures/q3f_flib/pool3d_6.tga
    blendfunc GL_DST_COLOR GL_ZERO
    //map textures/liquids/pool2.tga
    //map textures/q3f_flib/water2b.tga
    tcMod scale .5 .5
    tcMod scroll .01 .01
  }
  {
    map textures/q3f_flib/pool3d_3.tga
    //map textures/q3f_flib/water2b.tga
    blendfunc GL_DST_COLOR GL_ZERO
    tcMod turb .1 .1 0 .01
    tcMod scale .5 .5
    tcMod scroll -.025 .02
  }
  {
    map textures/q3f_flib/pool3d_5.tga
    //map textures/q3f_flib/goo.tga
    blendFunc GL_DST_COLOR GL_ZERO
    tcMod turb .1 .07 .1 .01
    tcMod scale .5 .5
    tcMod scroll .045 .025
  }
  {
    map $lightmap
    blendFunc GL_dst_color GL_zero
    rgbgen identity
  }
}
